@echo off

rem   Copyright 2015 Anyware Services
rem
rem   Licensed under the Apache License, Version 2.0 (the "License");
rem   you may not use this file except in compliance with the License.
rem   You may obtain a copy of the License at
rem
rem       http://www.apache.org/licenses/LICENSE-2.0
rem
rem   Unless required by applicable law or agreed to in writing, software
rem   distributed under the License is distributed on an "AS IS" BASIS,
rem   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
rem   See the License for the specific language governing permissions and
rem   limitations under the License.
rem

set "ROOT_DIR=%~dp0"

set "SOLR_ROOT=%ROOT_DIR%solr"
set SOLR_TIMEZONE=os_timezone

if not "%SOLR_HOME%" == "" goto gotSolrHome
    set "SOLR_HOME=%ROOT_DIR%solr\server\solr"
:gotSolrHome
set "SOLR_LOGS_DIR=%SOLR_HOME%\logs"

set "SOLR_INCLUDE=%ROOT_DIR%solr.env.cmd"
set SOLR_SECURITY_MANAGER_ENABLED=false

start "Solr server" %SOLR_ROOT%\bin\solr.cmd -f -d %SOLR_ROOT%\server -s %SOLR_HOME% -Dsolr.dns.prevent.reverse.lookup=true --user-managed
